﻿//-----------------------------------------------------------------------------
// ALLDAQ, a division of ALLNET GmbH
// https://www.alldaq.com
//
// Purpose:
//       This file is part of the AIReadBuffer project of the ALLDAQ-SDK.  
//       It shows the usage of the API functions to access
//       ALLDAQ Data Acquisition Boards
// 
//-----------------------------------------------------------------------------

using AIReadBuffer.ALLDAQ;

namespace AIReadBuffer.Utility
{
    public class RangeComboBoxItem
    {
        public RangeComboBoxItem(AnalogRange aiRange)
        {
            Range = aiRange;
        }

        public AnalogRange Range { get; }

        public override string ToString()
        {
            return Range.RangeText;
        }
    }
}
