﻿//-----------------------------------------------------------------------------
// ALLDAQ, a division of ALLNET GmbH
// http://www.alldaq.com
//
// Purpose:
//       This file is part of the AIReadInterval project of the ALLDAQ-SDK.  
//       It shows the usage of the API functions to access
//       ALLDAQ Data Acquisition Boards
// 
//-----------------------------------------------------------------------------

namespace AIReadInterval.Utility
{
    public class StringValueItem<T>
    {
        private readonly string _displayText;

        public StringValueItem(string displayText, T value)
        {
            _displayText = displayText;
            Value = value;
        }

        public override string ToString()
        {
            return _displayText;
        }

        public T Value
        {
            get;
        }
    }
}
