﻿//-----------------------------------------------------------------------------
// ALLDAQ, a division of ALLNET GmbH
// http://www.alldaq.com
//
// Purpose:
//       This file is part of the DIReadContinuous project of the ALLDAQ-SDK.  
//       It shows the usage of the API functions to access
//       ALLDAQ Data Acquisition Boards
// 
//-----------------------------------------------------------------------------

namespace DIReadContinuous.Utility
{
    public enum PropertyType : int
    {
        ActualSampleFrequency,
        DisplayBuffer,
        UpdateValuesToDisplay,
        UpdateNumberOfValues,
        AcquisitionStarting,
        AcquisitionStarted,
        AcquisitionEnded,
        AcquisitionErrorOccurred,
    }

    class ModulePropertyChangedEventArgs
    {
        public PropertyType ChangedProperty { get; set; }
    }
}
